import Vue from 'vue' // 引入 vue  nodem_moudules 不需要写路径
import App from './App.vue' // 自己的文件需要写路径
import router from "./router/index.js"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import axios from "axios"
Vue.config.productionTip = false  // 阻止生产提示
Vue.use(ElementUI);
// Vue.use(axios) axios 不支持use引入
import Vuex from "vuex"
// state 全局的状态 全局的变量
Vue.use(Vuex)
const store = new Vuex.Store({
  state: {
    count: 50,
      list:[]
  },
  //  改变只能通过 mutations 不能直接赋值修改
  mutations: {
      setcount(state,num){
          console.log(state)
          state.count += num.name + num.age ;
      },
      addlist(state,info){
          state.list.push(info)
          alert("添加成功")
      },
      setlist(state,list){
          state.list = list
          // 官方不推荐在mutations 里面使用 异步方法修改
          // axios.get("http://127.0.0.1:3002/list").then((res)=>{
          //     console.log(res)
          //     state.list = res
          //     // this.$store.commit("setlist",res)
          // })
      }
  },
    actions:{
      // 官方推荐有异步方法的写在这里面
      getlist(c,a){
          console.log(a)
          axios.get("http://127.0.0.1:3002/list").then((res)=>{
              console.log(res)
              c.commit("setlist",res)
              // state.list = res
              // this.$store.commit("setlist",res)
          })
      }
    }
})

// http://192.168.137.1:3002/list


// 这个是创建一个新的axios 实例 他的baseURL是 传入的
// const instance = axios.create({
//   baseURL: 'https://kaoshi-shangpin.theluyuan.com'
// });
// // instance 这是通过crate创建的一个新的axios实例
// console.log(instance)



// axios.defaults.headers.common['aaa'] = "3222";
// axios.defaults.headers.get['bbb'] = "3222";
// axios.defaults.headers.post['ccc'] = 'zheshipost';

// 头 headers 请求头 common 所有的请求添加  post 只有post才添加 get 只有get加

// 消息内容 
// 消息内容 上级id openid

//全局能添加 baseURL headers
Vue.prototype.axios = axios // 基于原型链安装 为Vue添加方法
Vue.prototype.globaldata = {}
// vuex
new Vue({
  render: h => h(App), // 渲染 传入的组件 根组件
  router: router, //挂载router
  store: store //挂载store
}).$mount('#app')
// 链式操作 vue3 $

// 引入完成
// vue引入 Vue.use

// 1.将组件映射到路由
// 2.告诉vuerouter渲染到哪里 刚开始router 必须写在跟组件里面 (App.vue)
// 3. 创建 router 实例 // new 引入进来的router明总
// 4. 创建和挂载根实例。 // 在new vue里面写 router: router

// url带/#/ hash 导航


// axios
// import
// 原型链挂载