import axios from 'axios'
axios.defaults.baseURL = 'https://kaoshi-shangpin.theluyuan.com';
// 这个改的axios 全局的



// 拦截器
//  全局都要用的时候
// 返回数据的处理
// 判断一下登录状态 状态码 未登录 就必须跳转首页或者登录页
// 处理一下返回数据
// 处理请求数据 
// 进行加载时提示

// 添加请求拦截器
axios.interceptors.request.use(function (config) {
    // 在发送请求之前做些什么
    console.log(config, "拦截器")
    // config.baseURL = "https://www.baidu.com"
    return config;
}, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
});


// 响应拦截
axios.interceptors.response.use(function (response) {
    // 对响应数据做点什么
    console.log(response, "响应拦截")
    // 判断一下是不是有权限
    // if(response.data.code == 0){
    //   router.push("/login")
    // }
    // if(response.data.msg == "用户无权限"){
    //   router.push("/login")
    // }
    response.data.code = 1;
    return response.data;
}, function (error) {
    console.log("请求失败")
    // 对响应错误做点什么
    return Promise.reject(error);
});

export default axios;